﻿# Create a reference to IPS_IEEE8021xSettings instance.
$iee8021xSettingsRef = $wsmanConnectionObject.NewReference("SELECT * FROM IPS_IEEE8021xSettings WHERE InstanceID='Intel(r) AMT: 8021X Settings'")
$8021xCredentialContextRef = $wsmanConnectionObject.NewReference("IPS_8021xCredentialContext")
$8021xCredentialContextRef.AddSelector("ElementProvidingContext", $iee8021xSettingsRef)
# Traverse to the AMT_8021xCredentialContext instances that are connected to the AMT_8021XProfile.
foreach($8021xCredentialContextItem in $8021xCredentialContextRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
    # For each instance, check if it is associated to the AMT_PublicKeyCertificate instance.
	if($8021xCredentialContextItem.Object.GetProperty("ElementInContext").IsA("AMT_PublicKeyCertificate"))
    {
          # For root certificate:

          #Get the AMT_PublicKeyCertificate object using its EPR.
          $publicKeyCertificateInstance = $8021xCredentialContextItem.Object.GetProperty("ElementInContext").Ref.Get()
          if($publicKeyCertificateInstance.GetProperty("TrustedRootCertficate") -like "true")
          {
                $elementName = $publicKeyCertificateInstance.GetProperty("ElementName")
                $x509Certificate = $publicKeyCertificateInstance.GetProperty("X509Certificate")
                $issuer = $publicKeyCertificateInstance.GetProperty("Issuer")
          }
    }
}