# Create reference to the CIM_ComputerSystem instance.
$computerSystemRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_ComputerSystem WHERE Name='ManagedSystem'")
$systemComponentRef = $wsmanConnectionObject.NewReference("CIM_SystemComponent")
$systemComponentRef.AddSelector("GroupComponent", $computerSystemRef)
# Traverse to the CIM_SystemComponent instances that are connected to the CIM_ComputerSystem instance.
foreach($systemComponentItem in $systemComponentRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_Card instance.
	if($systemComponentItem.Object.GetProperty("PartComponent").IsA("CIM_Card"))
	{
		# Get the CIM_Card object using its EPR.
		$cardInstance = $systemComponentItem.Object.GetProperty("PartComponent").Ref.Get()
		$manufacturer = $cardInstance.GetProperty("Manufacturer")
		$model = $cardInstance.GetProperty("Model")
		$version = $cardInstance.GetProperty("Version")
		$serialNumber = $cardInstance.GetProperty("SerialNumber")
		$tag = $cardInstance.GetProperty("Tag")
		break
	}
}