# Create reference to the CIM_ComputerSystem instance.
$computerSystemRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_ComputerSystem WHERE Name='ManagedSystem'")
$systemDeviceRef = $wsmanConnectionObject.NewReference("CIM_SystemDevice")
$systemDeviceRef.AddSelector("GroupComponent", $computerSystemRef)
# Traverse to the CIM_SystemDevice instances that are connected to the CIM_ComputerSystem instance.
foreach($systemDeviceItem in $systemDeviceRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_MediaAccessDevice instance.
	if($systemDeviceItem.Object.GetProperty("PartComponent").IsA("CIM_MediaAccessDevice"))
	{
		# Get the CIM_MediaAccessDevice object using its EPR.	
		$mediaAccessDeviceInstance = $systemDeviceItem.Object.GetProperty("PartComponent").Ref.Get()
		$capabilities = $mediaAccessDeviceInstance.GetProperty("Capabilities")
		$maxMediaSize = $mediaAccessDeviceInstance.GetProperty("MaxMediaSize")
	}
}