# Create reference to CIM_ComputerSystem instance.
$computerSystemRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_ComputerSystem Where Name='ManagedSystem'")
$systemDeviceRef = $wsmanConnectionObject.NewReference("CIM_SystemDevice")
$systemDeviceRef.AddSelector("GroupComponent", $computerSystemRef)
# Traverse to the CIM_SystemDevice instances that are connected to the CIM_ComputerSystem instance.
foreach($systemDeviceItem in $systemDeviceRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_MediaAccessDevice instance.
	if($systemDeviceItem.Object.GetProperty("PartComponent").IsA("CIM_MediaAccessDevice"))
	{
		# Create reference to CIM_MediaAccessDevice instance.
		$mediaAccessDeviceRef = $systemDeviceItem.Object.GetProperty("PartComponent").Ref
		$realizesRef = $wsmanConnectionObject.NewReference("CIM_Realizes")
		$realizesRef.AddSelector("Dependent", $mediaAccessDeviceRef)
		# Traverse to the CIM_Realizes instances that are connected to the CIM_MediaAccessDevice instance.
		foreach($realizesItem in $realizesRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
		{
			# For each instance, check if it is associated to the CIM_PhysicalPackage instance.
			if($realizesItem.Object.GetProperty("Antecedent").IsA("CIM_PhysicalPackage"))
			{
				# Get the CIM_PhysicalPackage object using its EPR.
				$physicalPackageInstance = $realizesItem.Object.GetProperty("Antecedent").Ref.Get()
				$model = $physicalPackageInstance.GetProperty("Model")
				$serialNumber = $physicalPackageInstance.GetProperty("SerialNumber")
			}
		}
	}
}