# Create reference to the CIM_ComputerSystem instance.
$computerSystemRef = $wsmanConnectionObject.NewReference("Select * FROM CIM_ComputerSystem WHERE Name='ManagedSystem'")
$systemDeviceRef = $wsmanConnectionObject.NewReference("CIM_SystemDevice")
$systemDeviceRef.AddSelector("GroupComponent", $computerSystemRef)
# Traverse to the CIM_SystemDevice instances that are connected to CIM_ComputerSystem.
foreach($systemDeviceItem in $systemDeviceRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_Processor instance.
	if($systemDeviceItem.Object.GetProperty("PartComponent").IsA("CIM_Processor"))
	{
		# Get the CIM_Processor object using its EPR.
		$processorInstance = $systemDeviceItem.Object.GetProperty("PartComponent").Ref.Get()
		$deviceID = $processorInstance.GetProperty("DeviceID")
		$stepping = $processorInstance.GetProperty("Stepping")
		$maxClockSpeed = $processorInstance.GetProperty("MaxClockSpeed")
		$cpuStatus = $processorInstance.GetProperty("CPUStatus")
		$role = $processorInstance.GetProperty("Role")
		$family = $processorInstance.GetProperty("Family")
		$upgradeMethod = $processorInstance.GetProperty("UpgradeMethod")
	}
}