# Create reference to the CIM_ComputerSystem instance.
$computerSystemRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_ComputerSystem WHERE Name='ManagedSystem'")
$systemDeviceRef = $wsmanConnectionObject.NewReference("CIM_SystemDevice")
$systemDeviceRef.AddSelector("GroupComponent", $computerSystemRef)
# Traverse to the CIM_SystemDevice instances that are connected to CIM_ComputerSystem instance.
foreach($systemDeviceItem in $systemDeviceRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_Processor instance.
	if($systemDeviceItem.Object.GetProperty("PartComponent").IsA("CIM_Processor"))
	{ 
       		# Create reference to the CIM_Processor instance.
		$processorRef = $systemDeviceItem.Object.GetProperty("PartComponent").Ref
		$realizesRef = $wsmanConnectionObject.NewReference("CIM_Realizes")
		$realizesRef.AddSelector("Dependent", $processorRef)
		# Traverse to the CIM_Realizes instances that are connected to the CIM_Processor instance.
		foreach($realizesItem in $realizesRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
		{
			# For each instance, check if it is associated to the CIM_Chip instance.
			if($realizesItem.Object.GetProperty("Antecedent").IsA("CIM_Chip"))
			{
				# Get the CIM_Chip object using its EPR.
				$chipInstance = $realizesItem.Object.GetProperty("Antecedent").Ref.Get()
				$manufacturer = $chipInstance.GetProperty("Manufacturer")
				$version = $chipInstance.GetProperty("Version")
			}
		}
	}
}