# Create reference to the CIM_ComputerSystem instance.
$computerSystemRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_ComputerSystem WHERE Name='ManagedSystem'")
$systemDeviceRef = $wsmanConnectionObject.NewReference("CIM_SystemDevice")
$systemDeviceRef.AddSelector("GroupComponent", $computerSystemRef)
# Traverse to the CIM_SystemDevice instances that are connected to CIM_ComputerSystem instance.
foreach($systemDeviceItem in $systemDeviceRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_Processor instance.
	if($systemDeviceItem.Object.GetProperty("PartComponent").IsA("CIM_Processor"))
	{
		# Create reference to the CIM_Processor instance.
		$processorRef = $systemDeviceItem.Object.GetProperty("PartComponent").Ref
		$realizesRef = $wsmanConnectionObject.NewReference("CIM_Realizes")
		$realizesRef.AddSelector("Dependent", $processorRef)
		# Traverse to the CIM_Realizes instances that are connected to the CIM_Processor instance.
		foreach($realizesItem in $realizesRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
		{
			# For each instance, check if it is associated to the CIM_Chip instance.
			if($realizesItem.Object.GetProperty("Antecedent").IsA("CIM_Chip"))
			{
				# Create reference to the CIM_Chip instance.
				$chipRef = $realizesItem.Object.GetProperty("Antecedent").Ref
				$physicalElementLocationRef = $wsmanConnectionObject.NewReference("CIM_PhysicalElementLocation")
				$physicalElementLocationRef.AddSelector("Element", $chipRef)
				# Traverse to the CIM_PhysicalElementLocation instances that are connected to the CIM_Chip instance.
				foreach($physicalElementLocationItem in $physicalElementLocationRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
				{
					# For each instance, check if it is associated to the CIM_Location instance.
					if($physicalElementLocationItem.Object.GetProperty("PhysicalLocation").IsA("CIM_Location"))
					{
						# Get the CIM_Location object using its EPR.
						$locationInstance = $physicalElementLocationItem.Object.GetProperty("PhysicalLocation").Ref.Get()
						$physicalPosition = $locationInstance.GetProperty("PhysicalPosition")
					}
				}
			}
		}
	}
}