# Create a reference to the CIM_EthernetPort instance.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$elementSettingDataRef = $wsmanConnectionObject.NewReference("CIM_ElementSettingData")
$elementSettingDataRef.AddSelector("ManagedElement", $ethernetPortRef)
# Traverse to the CIM_ElementSettingData instances that are connected to the CIM_EthernetPort.
foreach($elementSettingDataItem in $elementSettingDataRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the IPS_IPv6PortSettings instance.
	if($elementSettingDataItem.Object.GetProperty("SettingData").IsA("IPS_IPv6PortSettings"))
	{
		$elementSettingDataRef = $elementSettingDataItem.Object.ToReference("ManagedElement","SettingData")
		$elementSettingDataInstance = $elementSettingDataRef.Get()
		$elementSettingDataInstance.SetProperty("IsCurrent", "2")
		$elementSettingDataRef.Put($elementSettingDataInstance)
		break
	}
}