$schemeGUID = # The giud of the powerpackage you want to activate.
# Create a reference to the CIM_ComputerSystem instance.
$computerSystemRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_ComputerSystem WHERE Name='Intel(r) AMT'")
$elementSettingsDataRef = $wsmanConnectionObject.NewReference("CIM_ElementSettingData")
$elementSettingsDataRef.AddSelector("ManagedElement", $computerSystemRef)
# Traverse to the CIM_ElementSettingData instances that are connected to CIM_ComputerSystem.
foreach($elementSettingDataItem in $elementSettingsDataRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the AMT_SystemPowerScheme instance. 
	if($elementSettingDataItem.Object.GetProperty("SettingData").IsA("AMT_SystemPowerScheme"))
	{
		$systemPowerSchemeInstance = $elementSettingDataItem.Object.GetProperty("SettingData").Ref.Get()
		if($systemPowerSchemeInstance.GetProperty("SchemeGUID") -like $schemeGUID)
		{
			# Get the AMT_systemPowerScheme object using its EPR.
			$systemPowerSchemeRef = $elementSettingDataItem.Object.GetProperty("SettingData").Ref
			$inputObject = $systemPowerSchemeRef.CreateMethodInput("SetPowerScheme")
	 	    	$outputObject = $systemPowerSchemeRef.InvokeMethod($inputObject)
			$returnValue = $outputObject.GetProperty("ReturnValue")
			break
		}
	}
}