$floppyFile = # Path of the floppy file 
$cdFile = # Path of the CD file.

# Create redirection session parameters (e.g. user name and password) based on the Wsman Connection.
$iderParams = $imrLib.CreateSessionParams($wsmanConnectionObject.Username, $wsmanConnectionObject.Password)

# Open an IDER session.
$imrResult = $imrLib.IDEROpenTCPSession(0, $iderParams, $imrLib.GetDefaultIDERTout(), $floppyFile, $cdFile)

# Params for setting device state.
$iderDeviceResult = New-Object Intel.Management.Redirection.IDERDeviceResult
$iderDeviceCmd = New-Object Intel.Management.Redirection.IDERDeviceCmd

$iderDeviceCmd.pri_op = [Intel.Management.Redirection.SetOperation]::Enable
$iderDeviceCmd.pri_timing = [Intel.Management.Redirection.SetOption]::Immediately

# Enable the ider device for immediate use by setting the device state.
$imrResult = $imrLib.IDERSetDeviceState($clientId, $iderDeviceCmd, [ref]$iderDeviceResult)

# Get statistics.
$iderStatistics = New-Object Intel.Management.Redirection.IDERStatistics
$imrResult = $imrLib.IDERGetSessionStatistics($clientId, [ref]$iderStatistics)

# Close the session.
$imrResult = $imrLib.IDERCloseSession($clientId)