﻿# General settings.
$libSettingsFile = # Path of ini file of the Redirection library setting

$imrLib = New-Object Intel.Management.Redirection.MediaRedirection

# Initialize the Intel Media Redirection Library (imrLib).
[Intel.Management.Redirection.IMRVersion]$libVersion = New-Object Intel.Management.Redirection.IMRVersion
$imrResult = $imrLib.Init([ref] $libVersion,$libSettingsFile)

# Define a redirection client based on the WsmanConnection Address.
$imrClient = $imrLib.GetClientInfo($wsmanConnectionObject.Address)

# Add the redirection client to the Library (Library returns clientID).
[System.UInt32]$clientId = [System.UInt32]::MaxValue
$imrResult = $imrLib.AddClient($imrClient, [ref]$clientId)

# Create redirection session parameters (e.g. user name and password) based on the Wsman Connection.
$iderParams = $imrLib.CreateSessionParams($wsmanConnectionObject.Username, $wsmanConnectionObject.Password)

# Open SOL session.
$imrResult = $imrLib.SOLOpenTCPSession($clientId, $iderParams, $imrLib.GetDefaultSOLTout(), $imrLib.GetDefaultSOLParams() )

# Recieve text.
# Run this function in loop while the session is open.
$recieveBuffer = New-Object Intel.Management.Redirection.ReceiveBuffer(20)
$imrResult =  $imrLib.SOLRecieveText($clientId, $recieveBuffer)	
$textRecieved = [Text.Encoding]::ASCII.GetString($recieveBuffer.Data)

# Send text.
$utf8 = New-Object System.Text.utf8encoding 
$byteArray = New-Object byte[] 12
$textToSend = "text to send"
$utf8.GetBytes($textToSend ,0, $textToSend.Length ,$byteArray ,0)
$imrResult = $imrLib.SOLSendText($clientId, $byteArray, $byteArray.Length)

# Remove the client.
$iderParams = $imrLib.RemoveClient($clientId);

# Close the session.
$imrResult = $imrLib.SOLCloseSession($clientId)

# Close the library.
$imrResult = $imrLib.Close()