# $systemDefensePolicyRef is an EPR to the AMT_SystemDefensePolicy object created by the 'Create a System Defense Policy' use case.
$systemDefensePolicyInstance = $systemDefensePolicyRef.Get()
$instanceID = $systemDefensePolicyInstance.GetProperty("InstanceID")
# Create a reference to the CIM_EthernetPort instance.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$heuristicPacketFilterInterfacePolicyRef = $wsmanConnectionObject.NewReference("AMT_HeuristicPacketFilterInterfacePolicy")
$heuristicPacketFilterInterfacePolicyRef.AddSelector("Antecedent", $ethernetPortRef)
# Traverse to the AMT_HeuristicPacketFilterInterfacePolicy instances that are connected to the CIM_EthernetPort instance.
foreach($heuristicPacketFilterInterfacePolicyItem in $heuristicPacketFilterInterfacePolicyRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the AMT_SystemDefensePolicy instance.
	if($heuristicPacketFilterInterfacePolicyItem.Object.GetProperty("Dependent").IsA("AMT_SystemDefensePolicy"))
	{
		# Get the AMT_SystemDefensePolicy object using its EPR.
		$systemDefensePolicyInstance = $heuristicPacketFilterInterfacePolicyItem.Object.GetProperty("Dependent").Ref.Get()
		if($systemDefensePolicyInstance.GetProperty("InstanceID") -like $instanceID)
		{
			$heuristicPacketFilterInterfacePolicyRef = $heuristicPacketFilterInterfacePolicyItem.Object.ToReference("Antecedent", "Dependent")
			$heuristicPacketFilterInterfacePolicyRef.Delete()
		}
	}
}