﻿# Create a reference to the CIM_EthernetPort instance, select the wired interface.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$agentPresenceInterfacePolicyRef = $wsmanConnectionObject.NewReference("AMT_AgentPresenceInterfacePolicy")
$agentPresenceInterfacePolicyRef.AddSelector("Antecedent", $ethernetPortRef)
# Traverse to the AMT_AgentPresenceInterfacePolicy instances that are connected to the CIM_EthernetPort instance.
foreach($agentPresenceInterfacePolicyItem in $agentPresenceInterfacePolicyRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the AMT_SystemDefensePolicy instance. 
	if($agentPresenceInterfacePolicyItem.Object.GetProperty("Dependent").IsA("AMT_SystemDefensePolicy"))
	{
		if(($agentPresenceInterfacePolicyItem.Object.GetProperty("Enabled") -like $true) -or ($agentPresenceInterfacePolicyItem.Object.GetProperty("Active") -like $true))
		{
			# Get the AMT_SystemDefensePolicy object using its EPR.
			$systemDefensePolicyInstance = $agentPresenceInterfacePolicyItem.Object.GetProperty("Dependent").Ref.Get()
		}
	}
}