﻿# Create a reference to the CIM_EthernetPort instance, select the wired interface.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$heuristicPacketFilterInterfacePolicyRef = $wsmanConnectionObject.NewReference("AMT_HeuristicPacketFilterInterfacePolicy")
$heuristicPacketFilterInterfacePolicyRef.AddSelector("Antecedent", $ethernetPortRef)
# Traverse to the AMT_HeuristicsPacketFilterInterfacePolicy instances that are connected to the CIM_EthernetPort instance.
foreach($heuristicPacketFilterInterfacePolicyItem in $heuristicPacketFilterInterfacePolicyRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the AMT_SystemDefensePolicy instance. 
	if($heuristicPacketFilterInterfacePolicyItem.Object.GetProperty("Dependent").IsA("AMT_SystemDefensePolicy"))
	{
		if(($heuristicPacketFilterInterfacePolicyItem.Object.GetProperty("Enabled") -like $true) -or ($heuristicPacketFilterInterfacePolicyItem.Object.GetProperty("Active") -like $true))
		{
			# Get the AMT_SystemDefensePolicy object using its EPR.
			$systemDefensePolicyInstance = $heuristicPacketFilterInterfacePolicyItem.Object.GetProperty("Dependent").Ref.Get()
			break
		}
	}
}