﻿# Create a reference to the CIM_EthernetPort instance, select the wired interface.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$networkPortDefaultSystemDefensePolicyRef = $wsmanConnectionObject.NewReference("AMT_NetworkPortDefaultSystemDefensePolicy")
$networkPortDefaultSystemDefensePolicyRef.AddSelector("Antecedent", $ethernetPortRef)
# Traverse to the AMT_NetworkPortDefaultSystemDefensePolicy instances that are connected to the CIM_EthernetPort instance.
foreach($networkPortDefaultSystemDefensePolicyItem in $networkPortDefaultSystemDefensePolicyRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the AMT_SystemDefensePolicy instance. 
	if($networkPortDefaultSystemDefensePolicyItem.Object.GetProperty("Dependent").IsA("AMT_SystemDefensePolicy"))
	{
		# Get the AMT_SystemDefensePolicy object using its EPR.
		$systemDefensePolicyInstance = $networkPortDefaultSystemDefensePolicyItem.Object.GetProperty("Dependent").Ref.Get()
		break
	}
}