﻿# Create a reference to the CIM_EthernetPort instance, select the wired interface.
$ethernetPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_EthernetPort WHERE DeviceID='Intel(r) AMT Ethernet Port 0'")
$elementCapabilitiesRef = $wsmanConnectionObject.NewReference("CIM_ElementCapabilities")
$elementCapabilitiesRef.AddSelector("ManagedElement", $ethernetPortRef)
# Traverse to the CIM_ElementCapabilities instances that are connected to the CIM_EthernetPort instance.
foreach($elementCapabilitiesItem in $elementCapabilitiesRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the AMT_NetworkPortSystemDefenseCapabilities instance.
	if($elementCapabilitiesItem.Object.GetProperty("Capabilities").IsA("AMT_NetworkPortSystemDefenseCapabilities"))
	{
		# Get the AMT_NetworkPortSystemDefenseCapabilities object using its EPR.
		$networkPortSystemDefenseCapabilitiesInstance = $elementCapabilitiesItem.Object.GetProperty("Capabilities").Ref.Get()
		# Example of one of the values in AMT_NetworkPortSystemDefenseCapabilities.
		$ipv4_MaxRxFilters = $networkPortSystemDefenseCapabilitiesInstance.GetProperty("IPv4_MaxRxFilters")
	}
}