﻿# Create a reference to CIM_IEEE8021xSettings instance.
$ieee8021xSettingsRef = $wsmanConnectionObject.NewReference("CIM_IEEE8021xSettings")
foreach($ieee8021xSettingsItem in $ieee8021xSettingsRef.Enumerate())
{
	$ieee8021xSettingsRef = $ieee8021xSettingsItem.Object.ToReference("InstanceID")
	$credentialContextRef = $wsmanConnectionObject.NewReference("CIM_CredentialContext")
	$credentialContextRef.AddSelector("ElementProvidingContext", $ieee8021xSettingsRef)
	# Traverse to the CIM_CredentialContext instances that are connected to the CIM_IEEE8021xSettings instance.
	foreach($credentialContextItem in $credentialContextRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
	{
		# For each instance, check if it is associated to the AMT_PublicKeyCertificate instance.
		if($credentialContextItem.Object.GetProperty("ElementInContext").IsA("AMT_PublicKeyCertificate"))
		{
			# Get the AMT_PublicKeyCertificate object using its EPR.
			$publicKeyCertificateInstance = $credentialContextItem.Object.GetProperty("ElementInContext").Ref.Get()
			$x509Certificate = $publicKeyCertificateInstance.GetProperty("X509Certificate")
			$issuer = $publicKeyCertificateInstance.GetProperty("Issuer")
			$subject = $publicKeyCertificateInstance.GetProperty("Subject")
		}
	}
}