﻿# Create a reference to the CIM_WiFiEndpointSettings instance.
$wifiEndpointsettingsRef = $wsmanConnectionObject.NewReference("CIM_WiFiEndpointSettings")
foreach($wifiEndpointSettingsItem in $wifiEndpointsettingsRef.Enumerate())
{
	$wifiEndpointSettingsRef = $wifiEndpointSettingsItem.Object.ToReference("InstanceID")
	$concreteComponentRef = $wsmanConnectionObject.NewReference("CIM_ConcreteComponent")
	$concreteComponentRef.AddSelector("GroupComponent", $wifiEndpointSettingsRef)
	# Traverse to the CIM_ConcreteComponent instances that are connected to the CIM_WiFiEndpointSettings instance.
	try
	{
		foreach($concreteComponentItem in $concreteComponentRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
		{
			# For each instance, check if it is associated to the CIM_IEEE8021xSettings instance.
			if($concreteComponentItem.Object.GetProperty("PartComponent").IsA("CIM_IEEE8021xSettings"))
			{
				# Get the CIM_IEEE8021xSettings using its EPR.
				$ieee8021xSettingsInstance = $concreteComponentItem.Object.GetProperty("PartComponent").Ref.Get()
				$authenticationProtocol = $ieee8021xSettingsInstance.GetProperty("AuthenticationProtocol")
				$roamingIdentity = $ieee8021xSettingsInstance.GetProperty("RoamingIdentity")
				$serverCertificateName = $ieee8021xSettingsInstance.GetProperty("ServerCertificateName")
			}
		}
	}
	# Continue to the next loop.
	catch{}
}