﻿# Create a reference to the AMT_PublicKeyManagementService instance.
$wifiPortRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_WiFiPort WHERE DeviceID='WiFi Port 0'")
$elementCapabilitiesRef = $wsmanConnectionObject.NewReference("CIM_ElementCapabilities")
$elementCapabilitiesRef.AddSelector("ManagedElement", $wifiPortRef)
# Traverse to the CIM_ElementCapabilities instances that are connected to the CIM_WiFiPort instance.
foreach($elementCapabilitiesItem in $elementCapabilitiesRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_WiFiPortCapabilities instance.
	if ($elementCapabilitiesItem.Object.GetProperty("Capabilities").IsA("CIM_WiFiPortCapabilities"))
	{
		# Get the CIM_WiFiPortCapabilities object using its EPR.
		$wifiPortCapabilitiesInstance = $elementCapabilitiesItem.Object.GetProperty("Capabilities").Ref.Get()
		$supportedPortTypes = $wifiPortCapabilitiesInstance.GetProperty("SupportedPortTypes")
	}
}