﻿# Create a reference to the CIM_WiFiEndpoint instance.
$wifiEndpointRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_WiFiEndpoint WHERE Name='WiFi Endpoint 0'")
$elementSettingDataRef = $wsmanConnectionObject.NewReference("CIM_ElementSettingData")
$elementSettingDataRef.AddSelector("ManagedElement", $wifiEndpointRef)
# Traverse to the CIM_ElementSettingData instances that are connected to the CIM_WiFiEndpoint instance.
foreach($elementSettingDataItem in $elementSettingDataRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	# For each instance, check if it is associated to the CIM_WiFiEndpointSetting instance.
	if($elementSettingDataItem.Object.GetProperty("SettingData").IsA("CIM_WiFiEndpointSettings"))
	{
		$isCurrent = $elementSettingDataItem.Object.GetProperty("IsCurrent")
		if($isCurrent -like "1")
		{
			# Get the CIM_WiFiEndpointSettings object using its EPR.
			$wifiEndpointSettingsInstance = $elementSettingDataItem.Object.GetProperty("SettingData").Ref.Get()
		}
	}
}