$instanceID = "Intel(r) AMT:All" # The instance ID of the desired filter.
$destination = "192.168.0.0:5000"
# Create a reference to the CIM_FilterCollection instance
$filterCollectionRef = $wsmanConnectionObject.NewReference("SELECT * FROM CIM_FilterCollection WHERE InstanceID='" + $instanceID + "'") 
$filterCollectionSubscriptionRef = $wsmanConnectionObject.NewReference("CIM_FilterCollectionSubscription")
$filterCollectionSubscriptionRef.AddSelector("Filter", $filterCollectionRef)
# Traverse to the CIM_ElementSettingData instances that are connected to the CIM_FilterCollection instance.
foreach($filterCollectionSubscriptionItem in $filterCollectionSubscriptionRef.Enumerate("http://schemas.dmtf.org/wbem/wsman/1/wsman/SelectorFilter", $null))
{
	$filterCollectionSubscriptionRef = $filterCollectionSubscriptionItem.Object.ToReference("Filter", "Handler")
	$filterCollectionSubscriptionInstance = $filterCollectionSubscriptionRef.Get()
	# For each instance, check if it is associated to the CIM_ListenerDestinationWSManagement instance. 
	if($filterCollectionSubscriptionInstance.GetProperty("Handler").IsA("CIM_ListenerDestinationWSManagement"))
	{
		$listenerDestinationWSManagementInstance = $filterCollectionSubscriptionInstance.GetProperty("Handler").Ref.Get()
		if($listenerDestinationWSManagementInstance.GetProperty("Destination") -like $destination)
		{
			$filterCollectionSubscriptionRef.Unsubscribe()
		}
	}
}