// Copyright (C) 2003 Intel Corporation

//////////////////////////////////////////////////////////////////////////
// Event.h
//
// This file contains the definition of the Event class (for thread
// synchronization)
//////////////////////////////////////////////////////////////////////////
#ifndef _LAD_EVENT_H
#define _LAD_EVENT_H

#ifndef WAIT_INFINITE
#define WAIT_INFINITE 0xffffffff
#endif

class OSEvent;

class Event {
public:
	Event (bool manual = true);
	Event (const Event& rhs);
	~Event ();
	void set ();
	void reset ();
	void pulse ();
    bool wait (unsigned long msecs = WAIT_INFINITE);
	Event& operator= (const Event& rhs);
private:
	OSEvent* _osEvent;
};

#endif //_LAD_EVENT_H

