// Copyright (C) 2003 Intel Corporation

//////////////////////////////////////////////////////////////////////////
// SemaphoreLinux.cpp
//
// This file contains the linux ipmlementation of the Semaphore class
//////////////////////////////////////////////////////////////////////////
#include "Semaphore.h"
#include <semaphore.h>

class OSSemaphore {
public:
   sem_t _sem;
};

Semaphore::Semaphore(int maxval) 
{
	_osSemaphore = new OSSemaphore;
	sem_init (&_osSemaphore->_sem, 0, maxval);        
}

Semaphore::~Semaphore()
{
	sem_destroy (&_osSemaphore->_sem);
	delete _osSemaphore;
}

void Semaphore::acquire()
{
	// blocks until value !=0, and decrements the value
	sem_wait (&_osSemaphore->_sem);
}

void Semaphore::release()
{
	// increments the value by 1
	sem_post (&_osSemaphore->_sem);
}

bool Semaphore::acquireTry()
{
	// try to acquire the semaphore: return 'true' if succeded
	return (sem_trywait (&_osSemaphore->_sem) == 0);
}

