//  Copyright (C) 2007 Intel Corporation
#ifndef _AUTHENTICATION_MANAGER_H
#define _AUTHENTICATION_MANAGER_H

#include "LibDefs.h"
#include "SocketLib.h"
#include "SPtr.h"
#include <string>
#include "PacketBuffer.h"
#include <vector>
#include "AuthenticationDefinitions.h"

using namespace std;

typedef struct _AuthenticationInfo
{
	string UserName;
	string Password;
	string Ip;
	string Domain;
	UINT16 Port;
}AuthenticationInfo;

class AuthenticationManager
{
public:
	AuthenticationManager(SPtr<Socket> socket, AuthenticationInfo& info);
	~AuthenticationManager(void);
	
	AuthenticationResult OpenSession();

private:
	
	AuthenticationResult	startRedirection();
	AuthenticationResult	authenticate();
	AuthenticationResult	startKVMRedirection();
	AuthenticationResult	authenticationQuery(vector<UINT8>& authQuery);
	void		prepareStartRedirection(PacketBuffer& packet);
	void		prepareAuthMsg(PacketBuffer& packet, int authType);

	SPtr<Socket>	m_socket;
	string			m_username;
	string			m_password;
	string			m_ip;
	string          m_domain;
	UINT16			m_port;
};

#endif /*_AUTHENTICATION_MANAGER_H*/
