//  Copyright (C) 2007 Intel Corporation
#ifndef _AUTHENTICATOR_KERBEROS_H
#define _AUTHENTICATOR_KERBEROS_H

#include "Authenticator.h"

#ifdef _WIN32
#define SECURITY_WIN32
#include <Security.h>
#include <Ntdsapi.h>
#endif

class AuthenticatorKerberos :
	public Authenticator
{
public:
	AuthenticatorKerberos(SPtr<Socket> socket, string ip, UINT16 port, string user, string pwd, string domain);
	~AuthenticatorKerberos(void);
	AuthenticationResult Authenticate();
	string error2String(SECURITY_STATUS status);

private:
	AuthenticationResult _doAuthKerberos(bool *fatal);
	bool _genClientContext(BYTE *pIn, DWORD cbIn, BYTE *pOut,
								DWORD *pcbOut, bool *done, char *spn,
								CredHandle *cred, CtxtHandle *context);
	bool _kerberosSupported();
	int _base64Decode(unsigned char *out, unsigned char *in, int inlen);
	int _base64Encode(unsigned char *out, const unsigned char *in, int inlen, int maxlen);

	string m_ip;
	string m_user;
	string m_pwd;
	string m_domain;
	UINT16 m_port;
};

#endif /*_AUTHENTICATOR_KERBEROS_H*/
