//  Copyright (C) 2007 Intel Corporation
#ifndef _PACKET_BUFFER_H
#define _PACKET_BUFFER_H
#define __STDC_WANT_LIB_EXT1__ 1
#include <string.h>

typedef struct _PacketBuffer
{
	unsigned char* data;
	unsigned int length; 

	_PacketBuffer(unsigned int size = 8192)
	{
		data = new unsigned char[size];
		_buffer_size = size;
		length = 0;
		Memset();
	}

	// copy ctor.
	_PacketBuffer(const _PacketBuffer& rhs);
	// assignment operator
	_PacketBuffer& operator=(const _PacketBuffer& rhs);

	void Memset()
	{
		memset(data, 0, _buffer_size);
		length = 0;
	}

	unsigned int size()
	{
		return _buffer_size;
	}

	~_PacketBuffer()
	{
		if(data)
		{
			delete [] data;
			data = NULL;
		}
	}

private:
	unsigned int _buffer_size;
}PacketBuffer;

#endif /*_PACKET_BUFFER_H*/
