//----------------------------------------------------------------------------
//
//  Copyright (C) 2006 Intel Corporation
//
//  File:       SOCKSv5.h
//
//  Contents:   SOCKS Protocol defenitions
//
//  Notes:      
//----------------------------------------------------------------------------

#ifndef _SOCKS_H__
#define _SOCKS_H__

const UINT8 SOCKS_V5_PROTOCOL_VERSION		= 0x05;
const UINT8 SOCKS_V5_USER_PWD_AUTH	= 0x01;

// SOCKS_V5_METHOD
enum SOCKS_V5_METHOD {
	SOCKS_V5_METHOD_NO_AUTH					= 0x00,
	SOCKS_V5_METHOD_GSSAPI					= 0x01,
    SOCKS_V5_METHOD_USER_PASS				= 0x02,
    SOCKS_V5_METHOD_NOT_ACCEPTABLE			= 0xFF
};

enum SOCKS_V5_ADDRESS {
	SOCKS_V5_ADDRESS_IPV4					= 0x01, 
	SOCKS_V5_ADDRESS_DOMAINNAME				= 0x03,
	SOCKS_V5_ADDRESS_IPV6					= 0x04
};
	
enum SOCKS_V5_CMD {
	SOCKS_V5_CMD_CONNECT					= 0x01,
	SOCKS_V5_CMD_BIND						= 0x02,
	SOCKS_V5_CMD_UDP_ASSOCIATE				= 0x03
};

enum SOCKS_V5_REPLY {
	SOCKS_V5_REP_SUCCEEDED					= 0x00,
	SOCKS_V5_REP_SERVER_FAILURE				= 0x01,
	SOCKS_V5_REP_CONNECTION_NOT_ALLOWED		= 0x02,
	SOCKS_V5_REP_NETWORK_UNREACHABLE		= 0x03,
	SOCKS_V5_REP_HOST_UNREACHABLE			= 0x04,
	SOCKS_V5_REP_CONNECTION_REFUESED		= 0x05,
	SOCKS_V5_REP_TTL_EXPIRED				= 0x06,
	SOCKS_V5_REP_COMMAND_NOT_SUPPORTED		= 0x07,
	SOCKS_V5_REP_ADDRESS_TYPE_NOT_SUPPORTED = 0x08
};

#endif //_SOCKS_H__
