/****************************************************************
Copyright  2003-2010, Intel Corporation. All rights reserved.
*****************************************************************/
#ifndef __TYPE_DEFS_H
#define __TYPE_DEFS_H

#include <string>
#include <vector>
using namespace std;

namespace TypeDefsNamespace
{
	// define HexBinary type
	typedef string HexBinary;

	// define DateTime type
	typedef string DateTime;

	// define Int64 type
#ifndef _WIN32
	typedef long long Int64;
	typedef unsigned long long Uint64;
#else
	typedef __int64 Int64;
	typedef unsigned __int64 Uint64;
#endif

	// define Base64 type
	class Base64
	{
	public:
		unsigned char* data;
		unsigned int len;

		Base64();
		Base64(const Base64& b);
		Base64(const unsigned char *buffer, const unsigned int blen);
		Base64(const string& input);
		~Base64();
		string ToString() const;
		string ToHexString() const;
		void ToVector( vector<unsigned char>& data ) const;
		void SetData(const string& input);
		void SetData(const unsigned char *buffer, const unsigned int blen);
		Base64& operator =(const Base64& other);
		bool Compare(const Base64& other)  const;
	};
}
#endif //__TYPE_DEFS_H
