//  Copyright (C) 2007 Intel Corporation
#include "Authenticator.h"

Authenticator::Authenticator(SPtr<Socket> socket) 
{
	m_socket = socket;
}

Authenticator::~Authenticator(void) 
{
}

void Authenticator::prepareAuthMsg(PacketBuffer* packet, int authType)
{
	MSG_AuthenticateSession *authMsg;
	authMsg = (MSG_AuthenticateSession *)packet->data;	
	authMsg->hdr.type = AuthenticateSession;
	authMsg->authType = authType;
	packet->length = sizeof(MSG_AuthenticateSession);
}

AuthenticationResult Authenticator::AMTRes2AuthenticationResult(UINT8 status)
{
	AuthenticationResult res = AuthenticationResultFailure;

	switch(status)
	{
		case AUTH_STATUS_SUCCESS:
			res = AuthenticationResultSuccess;
		break;
		case AUTH_STATUS_AUDIT_LOG_FULL_OR_LOCKED:
			res = AuthenticationResultAuditLogFailure;
		break;
	}
	return res;
}