//  Copyright (C) 2007 Intel Corporation
#ifndef _CLIENT_H
#define _CLIENT_H

#include "SPtr.h"
#include "SocketLib.h"


typedef unsigned int ClientID;

static const unsigned int INVALID_CLIENT_ID	= -1;

class Client
{
public:
	typedef enum _CLIENT_TYPE
	{
		VNC_CLIENT = 0,
		AMT_CLIENT = 1,
		UNKNOWN_CLIENT = 2
	}CLIENT_TYPE;

	Client(SPtr<Socket> sock, CLIENT_TYPE type = UNKNOWN_CLIENT);
	~Client();
	ClientID GetClientID();
	SPtr<Socket> GetSocket();
	CLIENT_TYPE GetClientType();

protected:
	// unique identifier
	ClientID			_clientID;
	// hold the socket information
	SPtr<Socket>			_socket;
	// hold the client type
	CLIENT_TYPE				_clientType;

	// counter variable that assign a unique identifier to each created client
	static unsigned int		_cnt;
};

#endif /*_CLIENT_H*/
