//  Copyright (C) 2007 Intel Corporation
#ifndef _KVM_CONSOLE_H
#define _KVM_CONSOLE_H

#define CALL_FUNC _stdcall
#define LENGTH_URL			256
#define LENGTH_USER_NAME	256
#define LENGTH_PWD			256

typedef enum _KVM_STATUS
{
	KVM_STATUS_OK = 0,
	KVM_STATUS_ERROR,
	KVM_STATUS_ERROR_INVALID_ARGUMENT,
	KVM_STATUS_ERROR_PROTOCOL_VIOLATION,
	KVM_STATUS_ERORR_LIBRARY_ALREADY_INITIALIZED,
	KVM_STATUS_ERORR_LIBRARY_NOT_INITIALIZED,
	KVM_STATUS_ERORR_LIBRARY_NOT_STARTED,
	KVM_STATUS_ERORR_LIBRARY_STARTED,
	KVM_STATUS_ERORR_LISTENING_PORT_OCCUPIED,
	KVM_STATUS_ERORR_SIGNAL_SOCKET_FAILED_CONNECT
}KVM_STATUS;

typedef struct _ConnectionData
{
	char host[LENGTH_URL];
	unsigned short host_port;
	char user[LENGTH_USER_NAME];
	char pwd[LENGTH_PWD];
	char proxy[LENGTH_URL];
	unsigned short proxy_port;
	char proxy_user[LENGTH_USER_NAME];
	char proxy_pwd[LENGTH_PWD];
	unsigned int	clientID ; /*OUT parameter*/
}ConnectionData;

typedef void (CALL_FUNC *ConnectionInfoCallback)(ConnectionData* info);

/*
  Defines valid status values to be passed as parameters to 
  StatusCallback.
*/
typedef enum
{
    Disconnected = 1,
	DisconnectedSessionManagerFailed = 2,
	DisconnectedTLSFailed = 3,
	DisconnectedSocksError = 4,
	DisconnectedSocksAuthFailed = 5
} ConnectionStatus;


/*
	The calling application should implement the below prototype function
*/
typedef int (CALL_FUNC *StatusCallback)(ConnectionStatus status, unsigned int clientID);

#endif