﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Management.Automation;
using System.Security.Cryptography.X509Certificates;


namespace Intel.Management.PSModule.Amt
{
    public class AmtDriveParameters
    {
        public AmtDriveParameters()
        {
            _computerName = "localhost";
            _vendorName = string.Empty;
            _appnName = string.Empty;
            _uuid = Guid.Empty;
            _certName = null;
        }


        [Parameter(Mandatory = false, Position = 0, ValueFromPipeline = true, ValueFromPipelineByPropertyName = true,
       HelpMessage = "Hostname, FQDN, or IP Address")]
        public string ComputerName
        {
            get { return _computerName; }
            set { _computerName = value; }
        }


        [Parameter(Mandatory = false, Position = 1, ValueFromPipeline = true, ValueFromPipelineByPropertyName = true,
        HelpMessage = "Amt Client Certificate")]
        public String CertificateName
        {

            get { return _certName; }
            set { _certName = value; }
        }


        /*[Parameter(
         Position = 2,
         ValueFromPipeline = true,
         ValueFromPipelineByPropertyName = true)]
        [CredentialAttribute]
        public PSCredential Credential
        {
            get { return _credential; }
            set { _credential = value; }
        }*/


        [Parameter(Mandatory = false,
          HelpMessage = "Use Transport Layer Security")]
        public SwitchParameter TLS
        {
            get { return _useTls; }
            set { _useTls = value; }
        }

        [Parameter(Mandatory = false,
         HelpMessage = "Accept Self-Signed certificate (skips any certificate checks)")]
        public SwitchParameter AcceptSelfSignedCert
        {
            get { return _acceptSelfSignedCertificate; }
            set { _acceptSelfSignedCertificate = value; }
        }

        [Parameter(Mandatory = false,
            HelpMessage = "treat the Password as a Digest Master")]
        public SwitchParameter AsMaster
        {
            get { return _asMaster; }
            set { _asMaster = value; }
        }

        [Parameter(Mandatory = false)]
        public string Vendor
        {
            get { return _vendorName; }
            set { _vendorName = value; }
        }

        [Parameter(Mandatory = false)]
        public string Application
        {
            get { return _appnName; }
            set { _appnName = value; }
        }

        [Parameter(Mandatory = false)]
        public Guid UUID
        {
            get { return _uuid; }
            set { _uuid = value; }
        }


        bool _acceptSelfSignedCertificate = false;
        bool _useTls;
        bool _asMaster;
        //PSCredential _credential;
        string _certName;

        string _computerName;
        string _vendorName;
        string _appnName;
       
        Guid _uuid;
     
        
    }
}
