﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.PSModule.Amt
{


    public enum AudiPolicyState
    {
        Disabled,
        Enabled,
        Critical,
    }

    public class AuditPolicyItem
    {
        string _name;
        string _policy;

        public AuditPolicyItem(string name, string policy)
        {
            _name = name;
            _policy = policy;
        }

        public string Name
        {
            get { return _name;}
          
        }

        public string Policy
        {
            get { return _policy; }

        }

    }

    public class ExtendedData
    {
        public ExtendedData()
        {
        }

        public string[] Properties
        {
            get { return null; }
        }

        public object this[string value]
        {
            get { return null; }
        }
    }

    public class AuditEvent
    {
        int _eventId;
        int _appId;
        ExtendedData _extendedData;
        string _message;
        DateTime _timestamp;
        string _location;
        string _user;


        public AuditEvent(int appId, int eventId, DateTime stamp, string user, string location, string message, ExtendedData data)
        {
            _appId = appId;
            _eventId = eventId;
            _timestamp = stamp;
            _user = user;
            _location = location;
            _message = message;
            _extendedData = data;
        }

        public string Location
        {
            get { return _location; }
        }

        public DateTime TimeStamp
        {
            get { return _timestamp; }
        }

        public string Message
        {
            get { return _message; }
        }

        public string User
        {
            get { return _user; }
        }

        public int EventId
        {
            get { return _eventId; }
        }

        public int ApplicationId
        {
            get { return _appId; }
        }

        public ExtendedData Data
        {
            get { return _extendedData; }
        }
    }

}
