﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Management.Automation;
using System.Management.Automation.Provider;
using System.Management.Automation.Runspaces;



namespace Intel.Management.Module.Amt
{
    [Cmdlet(VerbsCommon.Get, "AmtCredential",
       SupportsShouldProcess = true)]

 

    public class AmtCredential :  PSCmdlet
    {
        [Parameter(Mandatory=true,
         HelpMessage = "Amt device user name")]
        public string User
        {
            get { return _userName; }
            set { _userName = value; }
        }

        [Parameter(Mandatory = true,
        HelpMessage = "Amt device password")]
        public string Password
        {
            get { return _password; }
            set { _password = value; }
        }

        [Parameter]
        public SwitchParameter Force
        {
            get { return _force; }
            set { _force = value; }
        }

        protected override void ProcessRecord()
        {
            char[] passChars = _password.ToCharArray();
            System.Security.SecureString secString = new System.Security.SecureString();
            for (int i = 0; i < passChars.Length; i++)
                secString.AppendChar(passChars[i]);
            WriteObject(new PSCredential(_userName,secString));
        }

        string _userName;
        string _password;
        SwitchParameter _force;
    }


}
