﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.Management.Automation;
using System.Management.Automation.Provider;
using System.Management.Automation.Runspaces;

namespace Intel.Management.PSModule.Heci
{
  /// <summary>
  /// Heci Drive provider
  /// </summary>
  /// <remarks>
  /// </remarks>
    [CmdletProvider("Heci", ProviderCapabilities.Credentials)]
    public class HeciDriveProvider : DriveProvider
    {
     
        public HeciDriveProvider()
            : base()
        {
            _drives = new Collection<PSDriveInfo>();
        }

        private Collection<PSDriveInfo> _drives;

        /// <summary>
        /// When the provider engine starts a provider, the InitializeDefaultDrives method 
        /// is called. This is an opportunity for the provider to mount drives that are 
        /// important to it.
        /// </summary>
        /// <returns>A collection of PSDriveInfo objects for each drive the provider
        /// wants to mount.</returns>
         protected override Collection<PSDriveInfo> InitializeDefaultDrives()
         {
             _drives.Add(new HeciInfo(new PSDriveInfo("HECI", ProviderInfo, "\\",
                  "Host Embedded Controller Interface", Credential)));
             return _drives;
         }


    }

   
}
