﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Intel.Management.Mei;
using Intel.Management.Wsman;
using Intel.Management.PSModule.Amt;

namespace Intel.Management.PSModule.Heci
{
  
    class LogService : DriveContainer
    {

        public class LogEntry : DriveItem
        {
            public LogEntry(IManagedInstance recObj, DriveItem parent)
                : base(recObj.GetProperty("RecordID").ToString(),
                new AmtSetupRecord(recObj), parent)
            {

            }

            public override object GetReturnObject()
            {
                return _value;
            }
        }



        public LogService(DriveItem parent)
            : base("Log", parent)
        {
        }




        public override void GetChildItems(ChildWriter writer)
        {
            // writer.Provider.d
            //= conn.NewReference("IPS_ProvisioningRecordLog");

            IWsmanConnection conn = ((HeciRoot)GetRoot()).Connection;


            //there should only be one instance
            foreach (IWsmanItem item in conn.ExecQuery("SELECT * FROM IPS_ProvisioningAuditRecord"))
            {

                writer.Add(new LogEntry(item.Object, this));
            }

        }


    }
}
