﻿using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Text;

namespace Intel.Management.Wsman
{
    /// <summary>
    /// Represents a fault returned from a WsMan service
    /// </summary>
    /// <remarks>See IWsmanConnection.LastError</remarks>
    [InterfaceType(ComInterfaceType.InterfaceIsDual)]
    [Guid("6A4C4030-86EA-481b-836B-3E507CAEFC27")]
    [ComVisible(true)]
    public interface IWsmanFault
    {

        /// <summary>
        /// Gets the Fault code returned  from the WsMan service
        /// </summary>
        string Code { get; }
        /// <summary>
        /// Gets the Fault Subcode returned from the WsMan service
        /// </summary>
        string Subcode { get; }
        /// <summary>
        /// Gets the reason the fault was generated
        /// </summary>
        string Reason { get; }
        /// <summary>
        /// Gets detailed information on what caused the fault
        /// </summary>
        string Detail { get; }
        /// <summary>
        /// Gets the XML representation  of the fault returned from the WsmanService
        /// </summary>
        string Xml { get; }
    }
}
