﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.Wsman
{
    ///<summary>
    ///An exception that is thrown when an WsMan Connection exception occurs
    ///</summary>
    public class WsmanConnectionException : WsmanException
    {


        /// <summary>
        /// Initializes a new instance of the WsmanConnectionException class with a message string
        /// </summary>
        /// <param name="message">The error message string</param>
        public WsmanConnectionException(string message) : base(message) { }

        /// <summary>
        /// Initializes a new instance of the WsmanConnectionException class with a message string a inner exception
        /// </summary>
        /// <param name="message">The error message string</param>
        /// <param name="inner">The inner exception reference</param>
        public WsmanConnectionException(string message, Exception inner) : base(message, inner) { }

     /// <summary>
     /// Get the status of any System.Net.WebExceptionStatus the cause the Wsman request to faile
     /// </summary>
        public System.Net.WebExceptionStatus Status
        {
            get
            {
                if (InnerException != null && InnerException is System.Net.WebException)
                {
                    return ((System.Net.WebException)InnerException).Status;
                }
                else
                    return System.Net.WebExceptionStatus.UnknownError;
            }
        }
    }
}
