﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Intel.Management.Wsman
{
    /// <summary>
    /// An exception that is thrown when an WsMan Sender fault occurs
    /// </summary>
    public class WsmanSenderException : WsmanException
    {
        /// <summary>
        /// Initializes a new instance of the WsmanSenderException class with a message string
        /// </summary>
        /// <param name="message">The error message string</param>
        public WsmanSenderException (string message) : base(message) { }
        /// <summary>
        /// Initializes a new instance of the WsmanSenderException with a message string a inner exception
        /// </summary>
        /// <param name="message">The error message string</param>
        /// <param name="inner">The inner exception reference</param>
        public WsmanSenderException(string message, Exception inner) : base(message, inner) { }
    }
}
