﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Intel.Management.Wsman
{

    /// <summary>
    /// An exception that is thrown when the Wsman request is unauthorized
    /// </summary>
    public class WsmanUnauthorizedException : WsmanConnectionException
    {
        /// <summary>
        /// Initializes a new instance of the WsmanUnauthorizedException class with a message string
        /// </summary>
        /// <param name="message">The error message string</param>
        public WsmanUnauthorizedException(string message) : base(message) { }

        /// <summary>
        /// Initializes a new instance of the WsmanUnauthorizedException class with a message string a inner exception
        /// </summary>
        /// <param name="message">The error message string</param>
        /// <param name="inner">The inner exception reference</param>
        public WsmanUnauthorizedException(string message, Exception inner) : base(message, inner) { } 
    }
}
