﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Intel.Management.Wsman
{

    /// <summary>
    /// //An exception that is thrown when a Wsman service cannot find the requested item
    /// </summary>
    public class WsmanUnreachableException : WsmanSenderException
    {
        /// <summary>
        /// Initializes a new instance of the WsmanUnreachableException class with a message string
        /// </summary>
        /// <param name="message">The error message string</param>
        public WsmanUnreachableException (string message) : base(message) { }

        /// <summary>
        /// Initializes a new instance of the WsmanUnreachableException class with a message string a inner exception
        /// </summary>
        /// <param name="message">The error message string</param>
        /// <param name="inner">The inner exception reference</param>
        public WsmanUnreachableException(string message, Exception inner) : base(message, inner) { }
    }
}
